summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--development/gputils/README6
-rw-r--r--development/gputils/gputils.SlackBuild68
-rw-r--r--development/gputils/gputils.info10
-rw-r--r--development/gputils/slack-desc19
4 files changed, 103 insertions, 0 deletions
diff --git a/development/gputils/README b/development/gputils/README
new file mode 100644
index 0000000000..3860b9ea24
--- /dev/null
+++ b/development/gputils/README
@@ -0,0 +1,6 @@
+GPUTILS is a collection of tools for the Microchip (TM) PIC
+microcontrollers. It includes gpasm, gplink, and gplib.
+It's distributed under the terms of the GNU Public License.
+See the gnupic page for other GNU PIC tools such as gpsim, a gputils
+compatible simulator.
+
diff --git a/development/gputils/gputils.SlackBuild b/development/gputils/gputils.SlackBuild
new file mode 100644
index 0000000000..a251bbf410
--- /dev/null
+++ b/development/gputils/gputils.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Slackware build script for gputils
+# Written by GPLeo <gpleomail@gmail.com>
+
+PRGNAM=gputils
+VERSION=${VERSION:-0.13.7}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="AUTHORS COPYING ChangeLog INSTALL NEWS README TODO"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure --prefix=/usr \
+ --mandir=/usr/man \
+ --program-prefix= \
+ --program-suffix= \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/gputils/gputils.info b/development/gputils/gputils.info
new file mode 100644
index 0000000000..452af43eb0
--- /dev/null
+++ b/development/gputils/gputils.info
@@ -0,0 +1,10 @@
+PRGNAM="gputils"
+VERSION="0.13.7"
+HOMEPAGE="http://gputils.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/gputils/gputils-0.13.7.tar.gz"
+MD5SUM="242e33919e9c318d6ac58b6db291d20e"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="GPLeo"
+EMAIL="gpleomail@gmail.com"
+APPROVED="dsomero"
diff --git a/development/gputils/slack-desc b/development/gputils/slack-desc
new file mode 100644
index 0000000000..1e75fd5680
--- /dev/null
+++ b/development/gputils/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+gputils: gputils (GNU PIC Utilities)
+gputils:
+gputils: GPUTILS is a collection of tools for the Microchip (TM) PIC
+gputils: microcontrollers. It includes gpasm, gplink, and gplib.
+gputils: It's distributed under the terms of the GNU Public License.
+gputils: See the gnupic page for other GNU PIC tools such as gpsim, a gputils
+gputils: compatible simulator.
+gputils:
+gputils: Homepage: http://gputils.sourceforge.net/
+gputils:
+gputils: